Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Switch to a bundler gem layout.

  • Loading branch information...
commit aca354bb6a9dfee6b4dddbdafd17ba549cb847a6 1 parent 0c0d2ce
@mheffner mheffner authored
Showing with 42 additions and 187 deletions.
  1. +1 −16 Gemfile
  2. +22 −18 Gemfile.lock
  3. +1 −70 Rakefile
  4. +18 −83 librato-metrics-taps.gemspec
View
17 Gemfile
@@ -1,18 +1,3 @@
source "http://rubygems.org"
-# Add dependencies required to use your gem here.
-# Example:
-# gem "activesupport", ">= 2.3.5"
-gem 'jmx4r', '0.1.3'
-gem 'rest-client', '1.6.1'
-gem 'trollop', '1.16.2'
-gem 'jruby-openssl', '0.7.4'
-
-# Add dependencies to develop your gem here.
-# Include everything needed to run rake, tests, features, etc.
-group :development do
- gem "shoulda", ">= 0"
- gem "bundler"
- gem "jeweler", "~> 1.5.2"
- gem "rcov", ">= 0"
-end
+gemspec
View
40 Gemfile.lock
@@ -1,34 +1,38 @@
+PATH
+ remote: .
+ specs:
+ librato-metrics-taps (0.3.4)
+ jmx4r (= 0.1.3)
+ jruby-openssl (= 0.7.4)
+ rest-client (= 1.6.1)
+ trollop (= 1.16.2)
+
GEM
remote: http://rubygems.org/
specs:
bouncy-castle-java (1.5.0146.1)
- git (1.2.5)
- jeweler (1.5.2)
- bundler (~> 1.0.0)
- git (>= 1.2.5)
- rake
jmx4r (0.1.3)
jruby-openssl (0.7.4)
bouncy-castle-java
- mime-types (1.16)
- rake (0.8.7)
- rcov (0.9.9)
- rcov (0.9.9-java)
+ json (1.7.3-java)
+ mime-types (1.18)
+ rake (0.9.2.2)
+ rdoc (3.12)
+ json (~> 1.4)
rest-client (1.6.1)
mime-types (>= 1.16)
- shoulda (2.11.3)
+ shoulda (3.0.1)
+ shoulda-context (~> 1.0.0)
+ shoulda-matchers (~> 1.0.0)
+ shoulda-context (1.0.0)
+ shoulda-matchers (1.0.0)
trollop (1.16.2)
PLATFORMS
java
- ruby
DEPENDENCIES
- bundler
- jeweler (~> 1.5.2)
- jmx4r (= 0.1.3)
- jruby-openssl (= 0.7.4)
- rcov
- rest-client (= 1.6.1)
+ librato-metrics-taps!
+ rake
+ rdoc (~> 3.12)
shoulda
- trollop (= 1.16.2)
View
71 Rakefile
@@ -1,70 +1 @@
-require 'rubygems'
-require 'bundler'
-begin
- Bundler.setup(:default, :development)
-rescue Bundler::BundlerError => e
- $stderr.puts e.message
- $stderr.puts "Run `bundle install` to install missing gems"
- exit e.status_code
-end
-require 'rake'
-
-require 'jeweler'
-Jeweler::Tasks.new do |gem|
- # gem is a Gem::Specification... see http://docs.rubygems.org/read/chapter/20 for more options
- gem.name = "librato-metrics-taps"
- gem.homepage = "http://github.com/librato/librato-metrics-taps"
- gem.license = "MIT"
- gem.summary = %Q{Librato Metrics Taps}
- gem.description = %Q{Taps for extracting metrics data and publishing to Librato Metrics}
- gem.email = "silverline@librato.com"
- gem.authors = ["Librato, Inc."]
-
- gem.add_runtime_dependency 'jmx4r', '0.1.3'
- gem.add_runtime_dependency 'rest-client', '1.6.1'
-end
-Jeweler::RubygemsDotOrgTasks.new
-
-#
-# XXX: Rake does not provide a way to remove a task
-#
-Rake::TaskManager.class_eval do
- def remove_task(task_name)
- @tasks.delete(task_name.to_s)
- end
-end
-
-def remove_task(task_name)
- Rake.application.remove_task(task_name)
-end
-
-# We don't want to release to rubygems
-remove_task :release
-desc "Build gemspec, commit, and then git/tag push."
-task :release => ['gemspec:release', 'git:release' ]
-
-require 'rake/testtask'
-Rake::TestTask.new(:test) do |test|
- test.libs << 'lib' << 'test'
- test.pattern = 'test/**/test_*.rb'
- test.verbose = true
-end
-
-require 'rcov/rcovtask'
-Rcov::RcovTask.new do |test|
- test.libs << 'test'
- test.pattern = 'test/**/test_*.rb'
- test.verbose = true
-end
-
-task :default => :test
-
-require 'rake/rdoctask'
-Rake::RDocTask.new do |rdoc|
- version = File.exist?('VERSION') ? File.read('VERSION') : ""
-
- rdoc.rdoc_dir = 'rdoc'
- rdoc.title = "librato-metrics-taps #{version}"
- rdoc.rdoc_files.include('README*')
- rdoc.rdoc_files.include('lib/**/*.rb')
-end
+require "bundler/gem_tasks"
View
101 librato-metrics-taps.gemspec
@@ -1,95 +1,30 @@
-# Generated by jeweler
-# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
s.name = %q{librato-metrics-taps}
s.version = "0.3.4"
- s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
- s.authors = ["Librato, Inc."]
- s.date = %q{2011-12-09}
- s.default_executable = %q{librato-metrics-tap-jmxbeans}
+ s.authors = [%q{Librato, Inc.}]
+ s.date = %q{2012-05-15}
s.description = %q{Taps for extracting metrics data and publishing to Librato Metrics}
- s.email = %q{silverline@librato.com}
- s.executables = ["librato-metrics-tap-jmxbeans"]
- s.extra_rdoc_files = [
- "LICENSE.txt",
- "README.md"
- ]
- s.files = [
- ".document",
- "Gemfile",
- "Gemfile.lock",
- "LICENSE.txt",
- "README.md",
- "Rakefile",
- "VERSION",
- "bin/librato-metrics-tap-jmxbeans",
- "examples/cassandra/cfstats-0_7_6-2.yaml",
- "examples/cassandra/cfstats-0_8_1.yaml",
- "examples/cassandra/cfstats-0_8_8.yaml",
- "examples/cassandra/tpstats-0_7_6-2.yaml",
- "examples/cassandra/tpstats-0_8_1.yaml",
- "examples/cassandra/tpstats-0_8_8.yaml",
- "lib/librato-metrics-taps.rb",
- "lib/librato/metrics/taps.rb",
- "lib/librato/metrics/taps/jmx.rb",
- "lib/librato/metrics/taps/publisher.rb",
- "librato-metrics-taps.gemspec",
- "temp_sensors/check_em01.c",
- "temp_sensors/report-em01b.rb",
- "test/helper.rb",
- "test/test_librato-metrics-taps.rb"
- ]
- s.homepage = %q{http://github.com/librato/librato-metrics-taps}
- s.licenses = ["MIT"]
- s.require_paths = ["lib"]
- s.rubygems_version = %q{1.5.1}
+ s.email = %q{metrics@librato.com}
s.summary = %q{Librato Metrics Taps}
- s.test_files = [
- "test/helper.rb",
- "test/test_librato-metrics-taps.rb"
- ]
- if s.respond_to? :specification_version then
- s.specification_version = 3
+ s.files = `git ls-files`.split("\n")
+ s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
+ s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
+ s.require_paths = ["lib"]
+
+ s.homepage = %q{http://github.com/librato/librato-metrics-taps}
+ s.licenses = [%q{MIT}]
+
+ s.add_runtime_dependency(%q<jmx4r>, ["= 0.1.3"])
+ s.add_runtime_dependency(%q<rest-client>, ["= 1.6.1"])
+ s.add_runtime_dependency(%q<trollop>, ["= 1.16.2"])
+ s.add_runtime_dependency(%q<jruby-openssl>, ["= 0.7.4"])
- if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<jmx4r>, ["= 0.1.3"])
- s.add_runtime_dependency(%q<rest-client>, ["= 1.6.1"])
- s.add_runtime_dependency(%q<trollop>, ["= 1.16.2"])
- s.add_runtime_dependency(%q<jruby-openssl>, ["= 0.7.4"])
- s.add_development_dependency(%q<shoulda>, [">= 0"])
- s.add_development_dependency(%q<bundler>, ["~> 1.0.0"])
- s.add_development_dependency(%q<jeweler>, ["~> 1.5.2"])
- s.add_development_dependency(%q<rcov>, [">= 0"])
- s.add_runtime_dependency(%q<jmx4r>, ["= 0.1.3"])
- s.add_runtime_dependency(%q<rest-client>, ["= 1.6.1"])
- else
- s.add_dependency(%q<jmx4r>, ["= 0.1.3"])
- s.add_dependency(%q<rest-client>, ["= 1.6.1"])
- s.add_dependency(%q<trollop>, ["= 1.16.2"])
- s.add_dependency(%q<jruby-openssl>, ["= 0.7.4"])
- s.add_dependency(%q<shoulda>, [">= 0"])
- s.add_dependency(%q<bundler>, ["~> 1.0.0"])
- s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
- s.add_dependency(%q<rcov>, [">= 0"])
- s.add_dependency(%q<jmx4r>, ["= 0.1.3"])
- s.add_dependency(%q<rest-client>, ["= 1.6.1"])
- end
- else
- s.add_dependency(%q<jmx4r>, ["= 0.1.3"])
- s.add_dependency(%q<rest-client>, ["= 1.6.1"])
- s.add_dependency(%q<trollop>, ["= 1.16.2"])
- s.add_dependency(%q<jruby-openssl>, ["= 0.7.4"])
- s.add_dependency(%q<shoulda>, [">= 0"])
- s.add_dependency(%q<bundler>, ["~> 1.0.0"])
- s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
- s.add_dependency(%q<rcov>, [">= 0"])
- s.add_dependency(%q<jmx4r>, ["= 0.1.3"])
- s.add_dependency(%q<rest-client>, ["= 1.6.1"])
- end
+ s.add_development_dependency(%q<rake>, [">= 0"])
+ s.add_development_dependency(%q<shoulda>, [">= 0"])
+ s.add_development_dependency(%q<rdoc>, ["~> 3.12"])
end
Please sign in to comment.
Something went wrong with that request. Please try again.